%define	name	usbutils
%define	version	0.73
%define	release	%mkrel 1

Summary:	Linux USB utilities
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://sourceforge.net/projects/linux-usb/
Source0:	http://prownloads.sourceforge.net/linux-usb/%{name}-%{version}.tar.bz2
# (tpg) http://farragut.flameeyes.is-a-geek.org/articles/2007/05/19/update-on-usb-ids + my few usb ids
Patch1:		%{name}-0.72-usbids-more.patch
License:	GPL
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libusb-devel
BuildConflicts:	glibc < 2.3.4-5mdk

%description
usbutils contains a utility for inspecting devices connected to the USB bus.
It requires a Linux kernel version 2.3.15 or newer (supporting the
'/proc/bus/usb' interface).

%prep
%setup -q
#%patch1 -p1

%build
%configure2_5x --enable-usbmodules
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}{%{_includedir}/libusb.h,%{_libdir}/libusb*}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/usb.ids
%{_sbindir}/*
%{_mandir}/*/*

%changelog
* Fri Oct 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.73-1mdv2008.1
+ Revision: 102463
- new version
- disable patch 0 for now

* Fri Oct 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.72-4mdv2008.1
+ Revision: 100089
- rediff patch 0, should fix bug #34887

* Mon Aug 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.72-3mdv2008.0
+ Revision: 68038
- provide patch 1 (more ids from Diego Flameeyes Petteno and me ;)
- spec file clean


* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 0.72-2mdv2007.0
+ Revision: 108267
- Import usbutils

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 0.72-2mdv2007.1
- Rebuild

* Fri Apr 21 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.72-1mdk
- 0.72
- use usb.ids shipped with source as it's more up to date

* Fri Dec 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.71-1mdk
- 0.71
- drop P1(merged upstream)
- update usb.ids
- cosmetics

* Fri Aug 26 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.70-4mdk
- update usb.ids

* Tue Mar 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.70-3mdk
- update usb.ids

* Sat Feb 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.70-2mdk
- add BuildRequires: libusb-devel

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.70-1mdk
- new release (USB2.0 aware)
- rediff patch 0
- kill patch 1 (merged upstream)

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-9mdk
- update usb.ids
- kill useless prefix

* Thu Jan 06 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-8mdk
- update usb.ids
- kill patch 2 (merged upstream)

* Thu Dec 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-7mdk
- update ids list
- patch 1 : handle unknown HID Country Code entries in usb.ids
- patch 2 : kill duplicated entries
- kill now useless hack

* Thu Dec 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-6mdk
- update ids list

* Sun Feb 08 2004 Pixel <pixel@mandrakesoft.com> 0.11-5mdk
- fix usage (bugzilla #7525)
- update ids list

